This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 165572 - Review Request: perl-Devel-StackTrace
Review Request: perl-Devel-StackTrace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/Devel-Sta...
:
Depends On:
Blocks: FE-ACCEPT 166065 166474
  Show dependency treegraph
 
Reported: 2005-08-10 11:39 EDT by Ralf Corsepius
Modified: 2011-03-06 14:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-17 03:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-10 11:39:24 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Devel-StackTrace.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Devel-StackTrace-1.11-2.src.rpm

Description:
The Devel::StackTrace module contains two classes, Devel::StackTrace
and Devel::StackTraceFrame.  The goal of this object is to encapsulate
the information that can found through using the caller() function, as
well as providing a simple interface to this data.

The Devel::StackTrace object contains a set of Devel::StackTraceFrame
objects, one for each level of the stack.  The frames contain all the
data available from caller() as of Perl 5.6.0.
Comment 1 Jose Pedro Oliveira 2005-08-10 12:00:57 EDT
NEEDSWORK

MD5SUMS:
6795c0c4ba756e465ac23cd9e8745988  perl-Devel-StackTrace-1.11-2.src.rpm

a5d2088a531ceeec82b989c742f9382e  Devel-StackTrace-1.11.tar.gz
19f40376b82aabe243ce36302e1af53e  perl-Devel-StackTrace.spec

Sources:
* Devel-StackTrace-1.11.tar.gz: MD5 digest verified against the CPAN tarball


Needswork:
* file section missing defattr line

  %defattr(-,root,root,-)


Minor notes:
* the line
    find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
  can be deleted (noarch package)
Comment 2 Ralf Corsepius 2005-08-10 12:35:08 EDT
(In reply to comment #1)
> * file section missing defattr line
> 
>   %defattr(-,root,root,-)
Amazing to see how reliable rpmlint is ;)

Updated files to appear (soon) at
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Devel-StackTrace.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Devel-StackTrace-1.11-3.src.rpm
Comment 3 Jose Pedro Oliveira 2005-08-10 13:28:08 EDT
Run rpmlint again ;)
Comment 4 Ralf Corsepius 2005-08-10 13:38:10 EDT
rpmlint ../RPMS/perl-Devel-StackTrace-1.11-3.noarch.rpm
W: perl-Devel-StackTrace incoherent-version-in-changelog 1.11-2 1.11-3

Note: This is a warning and is irrelevant to the functionality of this package.

Pardon, but I fail to understand why people want to be stubborn about such kind
of warnings. We should concentrate on getting functional packages into CVS
"early" and should "play with cosmetics and stylishness" once a package is in CVS.
Comment 5 Jose Pedro Oliveira 2005-08-13 07:59:35 EDT
Approved.

Pending updates: release in the changelog, drop find *.bs.

MD5SUMS:
2ee144632e04a792fd0a21bd0360a18f  perl-Devel-StackTrace-1.11-3.src.rpm

a5d2088a531ceeec82b989c742f9382e  Devel-StackTrace-1.11.tar.gz
06f23ba2e18408e3bb1a9c6b6d119502  perl-Devel-StackTrace.spec
Comment 6 Steven Pritchard 2010-10-25 12:36:34 EDT
Package Change Request
======================
Package Name: perl-Devel-StackTrace
New Branches: el6
Owners: steve
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2010-10-25 14:29:06 EDT
Git done (by process-git-requests).
Comment 8 Paul Howarth 2011-02-18 16:08:33 EST
Package Change Request
======================
Package Name: perl-Devel-StackTrace
New Branches: el4
Owners: pghmcfc
InitialCC: perl-sig
Comment 9 Jason Tibbitts 2011-02-18 19:54:37 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2011-02-19 05:58:52 EST
perl-Devel-StackTrace-1.22-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Devel-StackTrace-1.22-1.el4
Comment 11 Fedora Update System 2011-03-06 14:18:29 EST
perl-Devel-StackTrace-1.22-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.